---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libHeapMonitorTest.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x1800, symSize: 0x4 }
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x21A60, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8C83, offset: 0x8C83, size: 0x8, addend: 0x0, symName: __ZL12thread_stats, symObjAddr: 0x21A68, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x8CF7, offset: 0x8CF7, size: 0x8, addend: 0x0, symName: __ZL20global_event_storage, symObjAddr: 0x231E0, symBinAddr: 0x97D0, symSize: 0x0 }
  - { offsetInCU: 0x8E16, offset: 0x8E16, size: 0x8, addend: 0x0, symName: __ZL27second_global_event_storage, symObjAddr: 0x23220, symBinAddr: 0x9810, symSize: 0x0 }
  - { offsetInCU: 0x8E2F, offset: 0x8E2F, size: 0x8, addend: 0x0, symName: __ZL12second_jvmti, symObjAddr: 0x23260, symBinAddr: 0x9850, symSize: 0x0 }
  - { offsetInCU: 0x8E49, offset: 0x8E49, size: 0x8, addend: 0x0, symName: __ZL27did_recursive_callback_test, symObjAddr: 0x23268, symBinAddr: 0x9858, symSize: 0x0 }
  - { offsetInCU: 0x8EA7, offset: 0x8EA7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x1800, symSize: 0x4 }
  - { offsetInCU: 0x8EEF, offset: 0x8EEF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x1800, symSize: 0x4 }
  - { offsetInCU: 0x8F01, offset: 0x8F01, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv, symObjAddr: 0x4, symBinAddr: 0x1804, symSize: 0x2A0 }
  - { offsetInCU: 0x94B7, offset: 0x94B7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2A4, symBinAddr: 0x1AA4, symSize: 0x4 }
  - { offsetInCU: 0x94FF, offset: 0x94FF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2A4, symBinAddr: 0x1AA4, symSize: 0x4 }
  - { offsetInCU: 0x9511, offset: 0x9511, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x2A8, symBinAddr: 0x1AA8, symSize: 0xC }
  - { offsetInCU: 0x9576, offset: 0x9576, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorThreadDisabledTest_checkThreadSamplesOnlyFrom, symObjAddr: 0x2B4, symBinAddr: 0x1AB4, symSize: 0xD4 }
  - { offsetInCU: 0x967B, offset: 0x967B, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorThreadDisabledTest_enableSamplingEvents, symObjAddr: 0x388, symBinAddr: 0x1B88, symSize: 0x7C }
  - { offsetInCU: 0x98C5, offset: 0x98C5, size: 0x8, addend: 0x0, symName: _SampledObjectAlloc, symObjAddr: 0x404, symBinAddr: 0x1C04, symSize: 0x2D8 }
  - { offsetInCU: 0x9CE0, offset: 0x9CE0, size: 0x8, addend: 0x0, symName: __ZL17event_storage_addP13_EventStorageP7JNIEnv_P8_jobjectS4_P7_jclassl, symObjAddr: 0x6DC, symBinAddr: 0x1EDC, symSize: 0x1C4 }
  - { offsetInCU: 0xA06E, offset: 0xA06E, size: 0x8, addend: 0x0, symName: _VMObjectAlloc, symObjAddr: 0x8A0, symBinAddr: 0x20A0, symSize: 0x10 }
  - { offsetInCU: 0xA11B, offset: 0xA11B, size: 0x8, addend: 0x0, symName: _GarbageCollectionFinish, symObjAddr: 0x8B0, symBinAddr: 0x20B0, symSize: 0x50 }
  - { offsetInCU: 0xA200, offset: 0xA200, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_setSamplingInterval, symObjAddr: 0x900, symBinAddr: 0x2100, symSize: 0x18 }
  - { offsetInCU: 0xA2A8, offset: 0xA2A8, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_eventStorageIsEmpty, symObjAddr: 0x918, symBinAddr: 0x2118, symSize: 0x60 }
  - { offsetInCU: 0xA38A, offset: 0xA38A, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_getEventStorageElementCount, symObjAddr: 0x978, symBinAddr: 0x2178, symSize: 0x5C }
  - { offsetInCU: 0xA47D, offset: 0xA47D, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_enableSamplingEvents, symObjAddr: 0x9D4, symBinAddr: 0x21D4, symSize: 0x7C }
  - { offsetInCU: 0xA59A, offset: 0xA59A, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_disableSamplingEvents, symObjAddr: 0xA50, symBinAddr: 0x2250, symSize: 0x94 }
  - { offsetInCU: 0xA72D, offset: 0xA72D, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_obtainedEvents, symObjAddr: 0xAE4, symBinAddr: 0x22E4, symSize: 0x120 }
  - { offsetInCU: 0xA8CE, offset: 0xA8CE, size: 0x8, addend: 0x0, symName: __ZL17get_native_framesP7JNIEnv_P7_jclassP13_jobjectArray, symObjAddr: 0xC04, symBinAddr: 0x2404, symSize: 0x4D0 }
  - { offsetInCU: 0xB109, offset: 0xB109, size: 0x8, addend: 0x0, symName: __ZL20check_sample_contentP7JNIEnv_P12_ObjectTraceP21_ExpectedContentFramemhi, symObjAddr: 0x1BEC, symBinAddr: 0x33EC, symSize: 0x200 }
  - { offsetInCU: 0xB5D7, offset: 0xB5D7, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_garbageContains, symObjAddr: 0x10D4, symBinAddr: 0x28D4, symSize: 0x12C }
  - { offsetInCU: 0xB7EE, offset: 0xB7EE, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_getSize, symObjAddr: 0x1200, symBinAddr: 0x2A00, symSize: 0x124 }
  - { offsetInCU: 0xB9B4, offset: 0xB9B4, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_forceGarbageCollection, symObjAddr: 0x1324, symBinAddr: 0x2B24, symSize: 0x48 }
  - { offsetInCU: 0xBA32, offset: 0xBA32, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_resetEventStorage, symObjAddr: 0x136C, symBinAddr: 0x2B6C, symSize: 0x24 }
  - { offsetInCU: 0xBA83, offset: 0xBA83, size: 0x8, addend: 0x0, symName: __ZL19event_storage_resetP13_EventStorage, symObjAddr: 0x1390, symBinAddr: 0x2B90, symSize: 0xB4 }
  - { offsetInCU: 0xBC17, offset: 0xBC17, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorNoCapabilityTest_allSamplingMethodsFail, symObjAddr: 0x1444, symBinAddr: 0x2C44, symSize: 0xB4 }
  - { offsetInCU: 0xBD10, offset: 0xBD10, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorIllegalArgumentTest_testIllegalArgument, symObjAddr: 0x14F8, symBinAddr: 0x2CF8, symSize: 0xE4 }
  - { offsetInCU: 0xBECD, offset: 0xBECD, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_getAverageSize, symObjAddr: 0x15DC, symBinAddr: 0x2DDC, symSize: 0x108 }
  - { offsetInCU: 0xBFDB, offset: 0xBFDB, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorThreadTest_checkSamples, symObjAddr: 0x16E4, symBinAddr: 0x2EE4, symSize: 0xEC }
  - { offsetInCU: 0xC0CD, offset: 0xC0CD, size: 0x8, addend: 0x0, symName: _SampledObjectAlloc2, symObjAddr: 0x17D0, symBinAddr: 0x2FD0, symSize: 0x4 }
  - { offsetInCU: 0xC12C, offset: 0xC12C, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorTwoAgentsTest_enablingSamplingInSecondaryAgent, symObjAddr: 0x17D4, symBinAddr: 0x2FD4, symSize: 0xCC }
  - { offsetInCU: 0xC23D, offset: 0xC23D, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_enableVMEvents, symObjAddr: 0x18A0, symBinAddr: 0x30A0, symSize: 0x54 }
  - { offsetInCU: 0xC308, offset: 0xC308, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorVMEventsTest_vmEvents, symObjAddr: 0x18F4, symBinAddr: 0x30F4, symSize: 0x5C }
  - { offsetInCU: 0xC403, offset: 0xC403, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_sampledEvents, symObjAddr: 0x1950, symBinAddr: 0x3150, symSize: 0x5C }
  - { offsetInCU: 0xC598, offset: 0xC598, size: 0x8, addend: 0x0, symName: _RecursiveSampledObjectAlloc, symObjAddr: 0x19AC, symBinAddr: 0x31AC, symSize: 0x184 }
  - { offsetInCU: 0xC87A, offset: 0xC87A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1DEC, symBinAddr: 0x35EC, symSize: 0x30 }
  - { offsetInCU: 0xC907, offset: 0xC907, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorRecursiveTest_didCallback, symObjAddr: 0x1B30, symBinAddr: 0x3330, symSize: 0xC }
  - { offsetInCU: 0xC940, offset: 0xC940, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorRecursiveTest_setCallbackToCallAllocateSomeMore, symObjAddr: 0x1B3C, symBinAddr: 0x333C, symSize: 0xB0 }
...
